<template>
    <div class="slider-bg">

        <!-- slider -->
        <div id="carouselExampleCaptions" class="carousel slide" data-ride="carousel">
            <ol class="carousel-indicators">
                <li data-target="#carouselExampleCaptions" data-slide-to="0" class="active"></li>
                <li data-target="#carouselExampleCaptions" data-slide-to="1"></li>
                <li data-target="#carouselExampleCaptions" data-slide-to="2"></li>
            </ol>
            <div class="carousel-inner">
                <div class="carousel-item active">
                    <img src="/images/slide1.jpeg" class="d-block w-100" alt="Slide 1">
                </div>
                <div class="carousel-item">
                    <img src="/images/slide2.jpeg" class="d-block w-100" alt="Slide 2">
                </div>
                <div class="carousel-item">
                    <img src="/images/slide3.jpeg" class="d-block w-100" alt="Slide 3">
                </div>
            </div>
        </div>
         <!-- end -->

        <!-- ----- find section ------ -->
        <div class="find-section">
            <!-- Find search section-->
            <div class="container">
                <div class="row justify-content-center">
                    <div class="col-md-offset-1 col-md-10 finder-block">
                        <div class="finder-caption">
                            <h1>Find your perfect Events Vendor</h1>
                            <p>Over <strong>1200+ Events Vendor </strong>for you special date &amp; Find the perfect venue &amp; save you date.</p>
                        </div>
                        <div class="finderform">
                            <form>
                                <div class="row">
                                    <div class="form-group col-md-4">
                                        <select class="form-control" v-model="category">
                                            <option disabled>Select Vendor Category</option>
                                            <option value="Venue">Venue</option>
                                            <option value="Photographer">Photographer</option>
                                            <option value="Cake">Cake</option>
                                            <option value="Dj">Dj</option>
                                            <option value="Florist">Florist</option>
                                            <option value="Videography">Videography</option>
                                            <option value="jewellery">Jewellery</option>
                                            <option value="Gifts">Gifts</option>
                                            <option value="Dresses">Dresses</option>
                                        </select>
                                    </div>
                                    <div class="form-group col-md-4">
                                        <select class="form-control" v-model="location">
                                            <option disabled>Select Location</option>
                                            <option value="Ahmedabad">Ahmedabad</option>
                                            <option value="Gandhinagar">Gandhinagar</option>
                                            <option value="Rajkot">Rajkot</option>
                                            <option value="Surat">Surat</option>
                                            <option value="Vadodara">Vadodara</option>
                                        </select>
                                    </div>
                                    <div class="form-group col-md-4">
                                        <button type="submit" class="btn btn-default-theme btn-block">Find Vendors</button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- ----- end ----- -->
    </div>
</template>
<script setup>
    import { ref } from 'vue';

    const category = ref('');
    const location = ref('');

</script>

<style scoped>
    .slider-bg {
        position: relative;
        background: #eee;
    }
    .carousel-indicators li {
        background-color: var(--bg-pink);
        opacity: 1;
    }
    .carousel-indicators .active {
        background-color: var(--bg-black);
    }
    .carousel-item::after {
        position: absolute;
        content: "";
        position: absolute;
        width: 100%;
        height: 100%;
        left: 0;
        top: 0;
        background: rgba(0, 0, 0, 0.3);
    }

    /* find section */
    .find-section {
        margin: 0 auto;
        text-align: center;
        color: #fff;
        z-index: 1;
    }
    .finder-caption {
        margin-bottom: 10px;
        display: inline-block;
    }
    .finderform {
        background-color: rgba(0, 0, 0, 0.6);
        padding: 30px 30px 20px 30px;
    }
    

    /* Small devices (landscape phones, 576px and up) */
    @media (max-width: 767px) { 
        .find-section {
            position: relative;
            padding: 20px 10px;
            color: var(--bg-black);
        }
    }

    /* Medium devices (tablets, 768px and up) */
    @media (min-width: 768px) {
        .find-section {
            position: relative;
            
        }
    }

    @media (min-width: 992px) { 
        .find-section {
            position: absolute;
            top: 35%;
            left: 0%;
            right: 0%;
        }
    }

</style>